Home Page Forums Raspberry Pi Shields failed to build drivers for Quectel EC25 Mini PCle 4G/LTE Module

This topic contains 3 replies, has 2 voices, and was last updated by  marco1 2 months, 1 week ago.

Viewing 4 posts - 1 through 4 (of 4 total)
  • Author
    Posts
  • #38383

    marco1
    Participant

    Quectel EC25 Mini PCle 4G/LTE Module – EC25-A
    Raspberry Pi 3G-4G/LTE Base Shield V2
    Kernel: 4.19.42-v7

    This kernel already has the QMI interface but running ./quectel-CM -s wireless.twilio.com fails with a no lease message.

    The make for the driver provided fails too, log below. Please provide an updated version.

    #38384

    marco1
    Participant

    Even PPP failed as it “Could not determine remote IP address” after following the installation directions in Sixfab_RPi_3G-4G-LTE_Base_Shield/tutorials/tutorial3/

    Can this be a problem with Twilio?

    #38424

    Saeed
    Moderator

    Hello,
    Please get the qmi_install script again and re-install. It has been modified for the latest kernel.

    Regarding PPP, Please check the PPP installer tutorial.

    #38430

    marco1
    Participant

    Hi Saeedm

    Thank you for updating the driver. Now everything is working with kernel 4.19.

Viewing 4 posts - 1 through 4 (of 4 total)

You must be logged in to reply to this topic.